be.ehealth.businessconnector.chapterIV.exception

## Enum ChapterIVBusinessConnectorExceptionValues

- java.lang.Object
- - java.lang.Enum<ChapterIVBusinessConnectorExceptionValues>
  - - be.ehealth.businessconnector.chapterIV.exception.ChapterIVBusinessConnectorExceptionValues

- All Implemented Interfaces:
    Serializable, Comparable<ChapterIVBusinessConnectorExceptionValues>

      public enum ChapterIVBusinessConnectorExceptionValues
      extends Enum<ChapterIVBusinessConnectorExceptionValues>

  Enumeration for possible ChapterIV business exceptions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR_RESPONSE_XML`
    `ERROR_XML_CHAPTER4VALIDATOR` XML is not correct: {0}
    `ERROR_XML_KMEHRVALIDATOR` XML is not correct: {0}
    `ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR` XML is not correct: {0}
    `INPUT_PARAM_NULL` Input parameter null : {0}
    `INVALID_ATTRIBUTES_LENGTH` Invalid attributes array length : {0}
    `MALFORMED_URL` Invalid url to {0} file
    `TARGET_SERVICE_ERROR` TargetService error description: {0}
    `TIMESTAMP_NOT_CORRECT`
    `UNKNOWN_ERROR` Unknown error

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `String` | `getMessage()`
    `static ChapterIVBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChapterIVBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TARGET_SERVICE_ERROR

          public static final ChapterIVBusinessConnectorExceptionValues TARGET_SERVICE_ERROR

      TargetService error description: {0}

    - #### MALFORMED_URL

          public static final ChapterIVBusinessConnectorExceptionValues MALFORMED_URL

      Invalid url to {0} file

    - #### ERROR_XML_KMEHRVALIDATOR

          public static final ChapterIVBusinessConnectorExceptionValues ERROR_XML_KMEHRVALIDATOR

      XML is not correct: {0}

    - #### ERROR_XML_CHAPTER4VALIDATOR

          public static final ChapterIVBusinessConnectorExceptionValues ERROR_XML_CHAPTER4VALIDATOR

      XML is not correct: {0}

    - #### ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

          public static final ChapterIVBusinessConnectorExceptionValues ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

      XML is not correct: {0}

    - #### INVALID_ATTRIBUTES_LENGTH

          public static final ChapterIVBusinessConnectorExceptionValues INVALID_ATTRIBUTES_LENGTH

      Invalid attributes array length : {0}

    - #### UNKNOWN_ERROR

          public static final ChapterIVBusinessConnectorExceptionValues UNKNOWN_ERROR

      Unknown error

    - #### INPUT_PARAM_NULL

          public static final ChapterIVBusinessConnectorExceptionValues INPUT_PARAM_NULL

      Input parameter null : {0}

    - #### ERROR_RESPONSE_XML

          public static final ChapterIVBusinessConnectorExceptionValues ERROR_RESPONSE_XML

    - #### TIMESTAMP_NOT_CORRECT

          public static final ChapterIVBusinessConnectorExceptionValues TIMESTAMP_NOT_CORRECT

  - ### Method Detail

    - #### values

          public static ChapterIVBusinessConnectorExceptionValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChapterIVBusinessConnectorExceptionValues c : ChapterIVBusinessConnectorExceptionValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChapterIVBusinessConnectorExceptionValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getErrorCode

          public String getErrorCode()

      Returns:
        the errorCode

    - #### getMessage

          public String getMessage()

      Returns:
        the message

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.